--- old/usr/src/uts/common/io/usb/usba/hcdi.c	2013-01-31 12:56:20.398725951 +0000
+++ new/usr/src/uts/common/io/usb/usba/hcdi.c	2013-01-31 12:56:20.410123994 +0000
@@ -343,26 +343,20 @@
 		    "Command Timed Out", KSTAT_DATA_UINT64);
 		kstat_named_init(&esp->cc_not_accessed,
 		    "Not Accessed By Hardware", KSTAT_DATA_UINT64);
+		kstat_named_init(&esp->cc_no_resources,
+		    "No Resources", KSTAT_DATA_UINT64);
 		kstat_named_init(&esp->cc_unspecified_err,
 		    "Unspecified Error", KSTAT_DATA_UINT64);
-#ifdef	NOTYETNEEDED
-		kstat_named_init(&esp->hcdi_usb_failure,
-		    "USB Failure", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_no_resources,
-		    "No Resources", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_no_bandwidth,
-		    "No Bandwidth", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_pipe_reserved,
-		    "Pipe Reserved", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_pipe_unshareable,
-		    "Pipe Unshareable", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_not_supported,
-		    "Function Not Supported", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_pipe_error,
-		    "Pipe Error", KSTAT_DATA_UINT64);
-		kstat_named_init(&esp->hcdi_usb_pipe_busy,
-		    "Pipe Busy", KSTAT_DATA_UINT64);
-#endif
+		kstat_named_init(&esp->cc_stopped_polling,
+		    "Stopped Polling", KSTAT_DATA_UINT64);
+		kstat_named_init(&esp->cc_pipe_closing,
+		    "Pipe Closing", KSTAT_DATA_UINT64);
+		kstat_named_init(&esp->cc_pipe_reset,
+		    "Pipe Reset", KSTAT_DATA_UINT64);
+		kstat_named_init(&esp->cc_not_supported,
+		    "Command Not Supported", KSTAT_DATA_UINT64);
+		kstat_named_init(&esp->cc_flushed,
+		    "Request Flushed", KSTAT_DATA_UINT64);
 
 		HCDI_ERROR_STATS(hcdi)->ks_private = hcdi;
 		HCDI_ERROR_STATS(hcdi)->ks_update = nulldev;
--- old/usr/src/uts/common/sys/usb/usba/hcdi.h	2013-01-31 12:56:20.830906042 +0000
+++ new/usr/src/uts/common/sys/usb/usba/hcdi.h	2013-01-31 12:56:20.844965881 +0000
@@ -325,18 +325,6 @@
 	struct kstat_named	cc_pipe_reset;
 	struct kstat_named	cc_not_supported;
 	struct kstat_named	cc_flushed;
-
-#ifdef	NOTYETNEEDED
-	/* USBA function return values */
-	struct kstat_named	hcdi_usb_failure;
-	struct kstat_named	hcdi_usb_no_resources;
-	struct kstat_named	hcdi_usb_no_bandwidth;
-	struct kstat_named	hcdi_usb_pipe_reserved;
-	struct kstat_named	hcdi_usb_pipe_unshareable;
-	struct kstat_named	hcdi_usb_not_supported;
-	struct kstat_named	hcdi_usb_pipe_error;
-	struct kstat_named	hcdi_usb_pipe_busy;
-#endif
 } hcdi_error_stats_t;
 
 /*
